## 配件组件使用说明

```
该组件用于仓库配件的选择与数量调整
```

## API

### Props

|   属性名    |  类型   | 默认值 |   可选值   |          说明           |
| :---------: | :-----: | :----: | :--------: | :---------------------: |
| showChecked | Boolean | false  | true/false |     是否需要复选框      |
|  disabled   | Boolean |  true  | true/false |        是否禁用         |
|    info     | Object  |   {}   |     -      | 列表数据 **格式见下文** |

### lists 格式

```json
{
  "name": "正泰漏保", // 配件名称
  "num": 1, // 配件数量
  "min": 1, // 数量最小值
  "max": 100, // 数量最大值
  "desc": "NO.202006170015", // 描述
  "img": "https://vkceyugu.cdn.bspapp.com/VKCEYUGU-dc-site/460d46d0-4fcc-11eb-8ff1-d5dcf8779628.png", // 图片地址
  "checked": false // 勾选状态，如果需要回显勾选状态需传
}
```

### Events

|   事件称名    |     说明     |   返回值   |
| :-----------: | :----------: | :--------: |
|  @numChange   | 数量发生改变 | 改变的数量 |
| @selectChange | 勾选发生改变 | 勾选的状态 |

## 组件用法

### 基础用法

```html
<select-parts
  v-for="(item, index) in lists"
  :key="index"
  :info="item"
  :show-checked="true"
  @numChange="numChange"
  @selectChange="selectChange"
></select-parts>
```

```js
import selectParts from "@/components/parts/index"
export default {
  components: {
    selectParts,
  },
  data() {
    return {
      lists: [
        {
          id: 1,
          name: "正泰漏保",
          desc: "NO.202006170015",
          num: 1,
          min: 1,
          max: 100,
          img:
            "https://vkceyugu.cdn.bspapp.com/VKCEYUGU-dc-site/460d46d0-4fcc-11eb-8ff1-d5dcf8779628.png",
          checked: false,
        },
        {
          id: 2,
          name: "挚达广汽充电桩",
          desc: "NO.202006170014",
          num: 3,
          min: 1,
          max: 5,
          img:
            "https://vkceyugu.cdn.bspapp.com/VKCEYUGU-dc-site/460d46d0-4fcc-11eb-8ff1-d5dcf8779628.png",
          checked: false,
        },
      ],
    }
  },
  methods: {
    numChange(val) {
      console.log("val", val)
    },
    selectChange(val) {
      console.log("val", val)
    },
  },
}
```
